import appdirs
from pathlib import Path
import shlex
from zenodo_get import zenodo_get


def rtm_comparison_file():
    data_dir = Path(appdirs.user_data_dir('sasktran2'))

    if not data_dir.exists():
        data_dir.mkdir(parents=True)

    file = data_dir.joinpath('zawada_AMT_rtm_comparison_data_v1.nc')

    if not file.exists():
        zenodo_get(shlex.split('--record 4292303 -o "{}"'.format(data_dir.as_posix())))

    return file


from .rtm_comparison.test_singlescatter import *
from .wf import *
