from sasktran2.tests.rtm_comparison import load_scenario
import sasktran2 as sk
import numpy as np


def test_first_ms():
    scen = load_scenario(8, 1, 0, 1, 16, altitude_spacing=1000)

    scen['config'].ms_mode = 1
    scen['config'].do_spherical_iterations = 1
    scen['config'].nstreams = 16
    engine = sk.Sasktran(scen['config'], scen['geometry'], scen['viewinggeo'])

    output = engine.calculate(scen['atmosphere'])

    rad = output['radiance']

    # Currently the Q/U convention is negative that of the RTM intercomparison
    rad[:, :, 1:3] *= -1

    # use MMM result for MS
    scia_vals = scen['result']['mmm'].values[:, :, :3]

    p_diff = (scia_vals - rad) / scia_vals * 100

    max_error = np.max(np.abs(p_diff[:, :50, 0].flatten()))

    # I Is generally within 1.5% up to 50km
    assert(max_error < 1.5)

    # Others can be slightly higher
    max_error = np.max(np.abs(p_diff.flatten()))

    assert(max_error < 4.1)